Loading...
Searching...
No Matches
mbedtls_entropy_source_state Struct Reference

Entropy source state. More...

`#include <entropy.h>`

## Data Fields

mbedtls_entropy_f_source_ptr | private_f_source
void * | private_p_source
size_t | private_size
size_t | private_threshold
int | private_strong

## Detailed Description

Entropy source state.

Definition at line 93 of file entropy.h.

## Field Documentation

## private_f_source

mbedtls_entropy_f_source_ptr mbedtls_entropy_source_state::private_f_source

The entropy source callback

Definition at line 94 of file entropy.h.

## private_p_source

void* mbedtls_entropy_source_state::private_p_source

The callback data pointer

Definition at line 95 of file entropy.h.

## private_size

size_t mbedtls_entropy_source_state::private_size

Amount received in bytes

Definition at line 96 of file entropy.h.

## private_strong

int mbedtls_entropy_source_state::private_strong

Is the source strong?

Definition at line 98 of file entropy.h.

## private_threshold

size_t mbedtls_entropy_source_state::private_threshold

Minimum bytes required before release

Definition at line 97 of file entropy.h.

The documentation for this struct was generated from the following file:

- entropy.h